Skip to main content
GET
/
app.rocksky.playlist.getPlaylists
Retrieve a list of playlists
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.playlist.getPlaylists \
  --header 'Authorization: Bearer <token>'
{
  "playlists": [
    {
      "id": "<string>",
      "title": "<string>",
      "uri": "<string>",
      "curatorDid": "<string>",
      "curatorHandle": "<string>",
      "curatorName": "<string>",
      "curatorAvatarUrl": "<string>",
      "description": "<string>",
      "coverImageUrl": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "trackCount": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The maximum number of playlists to return.

offset
integer

The offset for pagination, used to skip a number of playlists.

Response

OK

playlists
object[]